## AsLaunch AsLaunchable— Description of launchable entries for a software component |

## Functions

const gchar * | as_launch_kind_to_string ()
AsLaunchKind | as_launch_kind_from_string ()
AsLaunch * | as_launch_new ()
AsLaunchKind | as_launch_get_kind ()
void | as_launch_set_kind ()
GPtrArray * | as_launch_get_entries ()
void | as_launch_add_entry ()

## Types and Values

#define | AS_TYPE_LAUNCH
struct | AsLaunchClass
enum | AsLaunchKind
| AsLaunch

## Object Hierarchy

        GObject
        ╰── AsLaunch

## Includes

    #include <appstream.h>

## Description

Components can provide multiple launch-entries to launch the software they belong to. This class describes them.

See also: AsComponent

## Functions

### as_launch_kind_to_string ()

    const gchar *
    as_launch_kind_to_string (AsLaunchKind kind);

Converts the enumerated value to a text representation.

#### Parameters

kind | the AsLaunchKind. |

#### Returns

string version of `kind`

Since: 0.11.0

### as_launch_kind_from_string ()

    AsLaunchKind
    as_launch_kind_from_string (const gchar *kind_str);

Converts the text representation to an enumerated value.

#### Parameters

kind_str | the string. |

#### Returns

a AsLaunchKind or `AS_LAUNCH_KIND_UNKNOWN` for unknown

Since: 0.11.0

### as_launch_new ()

    AsLaunch *
    as_launch_new (void);

Creates a new AsLaunch.

#### Returns

a AsLaunch.

[transfer full]

Since: 0.11.0

### as_launch_get_kind ()

    AsLaunchKind
    as_launch_get_kind (AsLaunch *launch);

The launch system for the entries this AsLaunch object stores.

#### Parameters

launch | a AsLaunch instance. |

#### Returns

an enum of type AsLaunchKind

Since: 0.11.0

### as_launch_set_kind ()

    void
    as_launch_set_kind (AsLaunch *launch,
                        AsLaunchKind kind);

Set the launch system for the entries this AsLaunch object stores.

#### Parameters

launch | a AsLaunch instance. |
kind | the new AsLaunchKind |

Since: 0.11.0

### as_launch_get_entries ()

    GPtrArray *
    as_launch_get_entries (AsLaunch *launch);

Get an array of launchable entries.

#### Parameters

launch | a AsLaunch instance. |

#### Returns

An string list of launch entries.

[transfer none][element-type utf8]

Since: 0.11.0

### as_launch_add_entry ()

    void
    as_launch_add_entry (AsLaunch *launch,
                         const gchar *entry);

Add a new launchable entry.

#### Parameters

launch | a AsLaunch instance. |

Since: 0.11.0

## Types and Values

### AS_TYPE_LAUNCH

    #define AS_TYPE_LAUNCH (as_launch_get_type ())

### struct AsLaunchClass

    struct AsLaunchClass {
    	GObjectClass		parent_class;
    };

### enum AsLaunchKind

Type of launch system the entries belong to.

#### Members

AS_LAUNCH_KIND_UNKNOWN | Unknown kind |
AS_LAUNCH_KIND_DESKTOP_ID | Launch by desktop-id |

### AsLaunch

    typedef struct _AsLaunchableAsLaunch;